Subject: bug#58729: closed (Re: [bug#58729] [PATCH 0/2] gnu: python-frozendict: Update to 2.3.4.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Nov 2022 10:53:03 +0000

Your bug report

#58729: [PATCH 0/2] gnu: python-frozendict: Update to 2.3.4.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58729: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58729
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#58729] [PATCH 0/2] gnu: python-frozendict: Update to 2.3.4.
From: Christopher Baines <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 05 Nov 2022 11:51:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Rohleder <[email-masked]> writes:

> While working on synapse I noticed that they found a memory leak in
> python-frozendict.  Updating this needs a newer python-canonicaljson.
>
> Michael Rohleder (2):
>   gnu: python-frozendict: Update to 2.3.4.
>   gnu: python-canonicaljson: Update to 1.6.3.
>
>  gnu/packages/python-xyz.scm | 37 +++++++++++++++++++++++++++++++------
>  1 file changed, 31 insertions(+), 6 deletions(-)

Thanks for the patches! I've pushed these to master as
b3147b149c8c44f5b4fe20936438165fa449fe20.

Chris

Subject: [PATCH 0/2] gnu: python-frozendict: Update to 2.3.4.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Cc: Michael Rohleder <[email-masked]>
Date: Sun, 23 Oct 2022 05:47:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

While working on synapse I noticed that they found a memory leak in
python-frozendict.  Updating this needs a newer python-canonicaljson.

Michael Rohleder (2):
  gnu: python-frozendict: Update to 2.3.4.
  gnu: python-canonicaljson: Update to 1.6.3.

 gnu/packages/python-xyz.scm | 37 +++++++++++++++++++++++++++++++------
 1 file changed, 31 insertions(+), 6 deletions(-)

base-commit: 1f734a6f0a7db5b0e12091a0c869c5c4810ac80e
-- 
2.38.0